XMLReader::getParserProperty
XMLReader::lookupNamespace
XMLReader
PHP Manual

# XMLReader::isValid

Indicates if the parsed document is valid

### Description

public bool XMLReader::isValid ( void )

Returns a boolean indicating if the document being parsed is currently valid.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Validating XML

`<?php
$xml = XMLReader::open('test.xml');
// You must to use it
$xml->setParserProperty(XMLReader::VALIDATE, true);
var_dump($xml->isValid());
?>`

### See Also

- XMLReader::setParserProperty
- XMLReader::setRelaxNGSchema
- XMLReader::setRelaxNGSchemaSource
- XMLReader::setSchema